- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# KRatExpToken::token Struct Reference

Simple token. More...

List of all members.

## Detailed Description

### template<class MonoidValue, class SemiringEltValue>
struct vcsn::algebra::KRatExpToken< MonoidValue, SemiringEltValue >::token

Simple token.

This classes represents a simple unambiguous token. Its type is one of token_e. When a_word or a_weight, an extra information is carried, which is (of course) the corresponding weight or word. A Schrödinger's token contains a list of such tokens.

See also:
  `KRatExpToken`, token_e

Definition at line 90 of file krat_exp_parser.hxx.